Subject: bug#34376: How to submit a bug fix?

From: Richard Gering <[email-masked]>
Date: Fri, 8 Feb 2019 00:40:38 +0000

Greetings,

I discovered a bug in GNU diff 3.7 that causes it to not report differences on Windows if two files have the same size and timestamp.

A fix for this bug was made. I also had to make some changes to allow the code to get cross-compiled via Mingw64.

Are you interested in receiving these fixes? If so, how would you like me to submit them? Create a patch file or send the modified source files (small) in their entirety.

Unrelated, but I'm curious how gnulib-tests/setlocale.c is supposed to get compiled, as the code relies on a localename.h file that is neither included nor generated, and I couldn't find any documentation towards this file either. It is easily solved by creating a stub localename.h file, but is that the expected solution?

Thanks in advance for your reply. I look forward to hearing from you.

With kind regards,

- Richard.